com.independentsoft.exchange

## Class Flag

- java.lang.Object
- - com.independentsoft.exchange.Flag

-     public class Flag
      extends java.lang.Object

  The Class Flag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Flag()` Initializes a new instance of the Flag class.
    `Flag(FlagStatus status)` Initializes a new instance of the Flag class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getCompleteDate()` Gets the complete date.
    `java.util.Date` | `getDueDate()` Gets the due date.
    `java.util.Date` | `getStartDate()` Gets the start date.
    `FlagStatus` | `getStatus()` Gets the status.
    `void` | `setCompleteDate(java.util.Date completeDate)` Sets the complete date.
    `void` | `setDueDate(java.util.Date dueDate)` Sets the due date.
    `void` | `setStartDate(java.util.Date startDate)` Sets the start date.
    `void` | `setStatus(FlagStatus status)` Sets the status.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Flag

          public Flag()

      Initializes a new instance of the Flag class.

    - #### Flag

          public Flag(FlagStatus status)

      Initializes a new instance of the Flag class.
      Parameters:
        `status` - the status

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getStatus

          public FlagStatus getStatus()

      Gets the status.
      Returns:
        the status

    - #### setStatus

          public void setStatus(FlagStatus status)

      Sets the status.
      Parameters:
        `status` - the new status

    - #### getStartDate

          public java.util.Date getStartDate()

      Gets the start date.
      Returns:
        the start date

    - #### setStartDate

          public void setStartDate(java.util.Date startDate)

      Sets the start date.
      Parameters:
        `startDate` - the new start date

    - #### getDueDate

          public java.util.Date getDueDate()

      Gets the due date.
      Returns:
        the due date

    - #### setDueDate

          public void setDueDate(java.util.Date dueDate)

      Sets the due date.
      Parameters:
        `dueDate` - the new due date

    - #### getCompleteDate

          public java.util.Date getCompleteDate()

      Gets the complete date.
      Returns:
        the complete date

    - #### setCompleteDate

          public void setCompleteDate(java.util.Date completeDate)

      Sets the complete date.
      Parameters:
        `completeDate` - the new complete date